# Enum Class AttachmentFlags

java.lang.Object
java.lang.Enum<AttachmentFlags>
com.independentsoft.pst.AttachmentFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<AttachmentFlags>`, `Constable`

public enum AttachmentFlags extends Enum<AttachmentFlags>
Specifies rendering flags for an attachment.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INVISIBLE_IN_HTML`
  The attachment is hidden from the HTML rendering of the message body.
  `INVISIBLE_IN_RTF`
  The attachment is hidden from the RTF rendering of the message body.
  `NONE`
  No flags are set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttachmentFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AttachmentFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INVISIBLE_IN_HTML

    public static final AttachmentFlags INVISIBLE_IN_HTML
    The attachment is hidden from the HTML rendering of the message body.

  - ### INVISIBLE_IN_RTF

    public static final AttachmentFlags INVISIBLE_IN_RTF
    The attachment is hidden from the RTF rendering of the message body.

  - ### NONE

    public static final AttachmentFlags NONE
    No flags are set.

- ## Method Details

  - ### values

    public static AttachmentFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AttachmentFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null